/* ============= Header Section START =========== */

.header-section {
    background: var(--bg-primary);
    position: relative;
    z-index: 1000;
}

.header-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    min-height: 85px;
}

.logo img {
    display: block;
    height: 100px;
    width: 100px;
    display: block;
    object-fit: contain;
}

.main-nav ul {
    display: flex;
    align-items: center;
    gap: 35px;
}

.main-nav li {
    position: relative;
}

.main-nav li a {
    color: var(--bg-secondary);
    font-size: 14px;
    font-weight: 600;
    transition: .3s;
    padding: 5px;
}

.main-nav li a {
    border-bottom: 2px solid transparent;
}

.main-nav .active a {
    border-bottom: 2px solid var(--color-secondary);
}

.main-nav li:hover>a {
    border-bottom: 2px solid var(--color-secondary);
}

.sub-menu {
    position: absolute;
    top: calc(100% + 10px);
    left: 0;
    min-width: 220px;
    background: var(--bg-primary);
    padding: 15px 0;
    opacity: 0;
    visibility: hidden;
    transform: translateY(15px);
    transition: .35s ease;
    display: block !important;
}

.sub-menu li {
    width: 100%;
}

.sub-menu li a {
    display: block;
    padding: 10px 20px;
    border: none;
}

.sub-menu li a:hover {
    color: var(--color-secondary);
    border: none;
}

.header-icons {
    display: flex;
    align-items: center;
    gap: 22px;
}

.menu-toggle {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
}

.menu-toggle span {
    display: block;
    width: 24px;
    height: 2px;
    background: var(--bg-secondary);
    margin: 5px 0;
}

.search-box {
    position: absolute;
    top: 100%;
    right: 0;
    width: 100%;
    background: #fff;
    padding: 100px;
    border-radius: 8px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, .12);
    opacity: 0;
    visibility: hidden;
    transform: translateY(10px);
    transition: all .3s ease;
    z-index: 999;
}

.search-box.active {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.search-close {
    position: absolute;
    top: 20px;
    right: 20px;
    background: none;
    border: none;
    color: #000;
    font-size: 40px;
    line-height: 1;
    cursor: pointer;
    z-index: 1001;
}

.search-box form {
    display: flex;
    gap: 10px;
    max-width: 70%;
    width: 100%;
    margin: 0 auto;
}

.search-box input {
    flex: 1;
    height: 45px;
    border: 1px solid #ddd;
    padding: 0 15px;
    border-radius: 6px;
    outline: none;
}

.search-box form button {
    width: 45px;
    height: 45px;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    background: var(--color-secondary);
}

.search-box button img {
    width: 18px;
}


/* Responsive */
@media (max-width:1023px) {

    .logo {
        order: 1;
    }

    .header-icons {
        order: 2;
    }

    .main-nav {
        position: fixed;
        top: 0;
        left: -320px;
        width: 320px;
        max-width: 85%;
        height: 100vh;
        background: var(--bg-primary);
        padding: 100px 25px 30px;
        overflow-y: auto;
        transition: .4s ease;
        display: block;
        z-index: 1002;
    }

    .main-nav.active {
        left: 0;
    }

    .main-nav.active .user-account {
        display: block;
        margin: 30px 0;
        background: #11110c;
        padding: 12px;
        border: 1px solid #dbdbdb;
        border-radius: 10px;
        text-align: center;
    }

    .main-nav ul {
        flex-direction: column;
        align-items: flex-start;
        gap: 0;
    }

    .main-nav li {
        width: 100%;
    }

    .main-nav li a {
        display: flex;
        justify-content: space-between;
        width: 100%;
        padding: 14px 0;
        border-bottom: none !important;
    }

    .main-nav li a:hover {
        border-bottom: none !important;
        color: var(--color-secondary);
    }

    .search-box {
        position: fixed;
        top: 0;
        right: -100%;
        width: 50%;
        height: 100vh;
        padding: 120px 20px;
        border-radius: 0;
        transition: .4s ease;
        overflow-y: auto;
        opacity: 1;
        visibility: visible;
        z-index: 1003;
    }

    .search-box.active {
        right: 0;
        transform: none;
    }

    .search-box form {
        max-width: 100%;
    }

    .menu-toggle {
        display: block;
        order: 0;
    }

    .mobile-overlay {
        position: fixed;
        inset: 0;
        background: rgba(0, 0, 0, .5);
        opacity: 0;
        visibility: hidden;
        transition: .3s;
        z-index: 1001;
    }

    .mobile-overlay.active {
        opacity: 1;
        visibility: visible;
    }

    .panel-close {
        position: absolute;
        top: 20px;
        right: 20px;
        background: none;
        border: none;
        color: #fff;
        font-size: 32px;
        line-height: 1;
        cursor: pointer;
        z-index: 10;
    }

    .search-box .panel-close {
        color: #000;
    }
}

@media (max-width:575px) {
    .search-box {
        width: 90%;
    }
}

/* ============= Header Section END ============= */

/* WordPress Menu Support */

.main-nav .menu {
    display: flex;
    align-items: center;
    gap: 35px;
}

.main-nav .menu li {
    position: relative;
}

.main-nav .menu li a {
    color: var(--bg-secondary);
    font-size: 14px;
    font-weight: 600;
    align-items: center;
    transition: .3s;
    padding: 5px;
    border-bottom: 2px solid transparent;
}

.main-nav .menu li:hover>a,
.main-nav .current-menu-item>a,
.main-nav .current-menu-ancestor>a {
    border-bottom: 2px solid var(--color-secondary);
}

/* Dropdown Parent */
.main-nav .menu-item-has-children {
    position: relative;
}

.main-nav .menu-item-has-children::after {
    content: "";
    position: absolute;
    left: 0;
    top: 100%;
    width: 100%;
    height: 10px;
}

/* Dropdown Menu */
.main-nav .sub-menu {
    position: absolute;
    top: calc(100% + 10px);
    left: 0;
    min-width: 220px;
    background: var(--bg-primary);
    padding: 15px 0;
    opacity: 0;
    visibility: hidden;
    transform: translateY(15px);
    transition: .35s ease;
    display: block;
    z-index: 999;
}

.main-nav .sub-menu li {
    width: 100%;
}

.main-nav .sub-menu li a {
    display: block;
    padding: 10px 20px;
    border: none;
}

.main-nav .sub-menu li a:hover {
    color: var(--color-secondary);
    border: none;
}

.main-nav .menu-item-has-children:hover>.sub-menu {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.main-nav .menu-item-has-children>a::after {
    content: "";
    display: inline-block;
    width: 10px;
    height: 10px;
    margin-left: 10px;
    background-color: currentColor;
    transition: transform .3s ease;
    -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 451.847 451.847'%3E%3Cpath d='M225.923 354.706c-8.098 0-16.195-3.092-22.369-9.263L9.27 151.157c-12.359-12.359-12.359-32.397 0-44.751 12.354-12.354 32.388-12.354 44.748 0l171.905 171.915 171.906-171.909c12.359-12.354 32.391-12.354 44.744 0 12.365 12.354 12.365 32.392 0 44.751L248.292 345.449c-6.177 6.172-14.274 9.257-22.369 9.257z'/%3E%3C/svg%3E") no-repeat center;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 451.847 451.847'%3E%3Cpath d='M225.923 354.706c-8.098 0-16.195-3.092-22.369-9.263L9.27 151.157c-12.359-12.359-12.359-32.397 0-44.751 12.354-12.354 32.388-12.354 44.748 0l171.905 171.915 171.906-171.909c12.359-12.354 32.391-12.354 44.744 0 12.365 12.354 12.365 32.392 0 44.751L248.292 345.449c-6.177 6.172-14.274 9.257-22.369 9.257z'/%3E%3C/svg%3E") no-repeat center;
    -webkit-mask-size: contain;
    mask-size: contain;
}

.main-nav .menu-item-has-children:hover>a::after {
    transform: rotate(180deg);
}

.user-account {
    display: none;
}


@media(max-width:1199px) {
    .main-nav .menu {
        gap: 25px;
    }
}

@media (max-width:1023px) {
    .main-nav .sub-menu {
        position: static;
        min-width: 100%;
        background: transparent;
        padding-left: 15px;
        max-height: 0;
        overflow: hidden;
        opacity: 1;
        visibility: visible;
        transform: none;
        padding: 0;
        transition: max-height .35s ease;
    }

    .logo img {
        height: 80px;
        width: 80px;
    }

    .header-icons a:last-child {
        /* display: none; */
    }

    .user-account {
        display: block;
    }

    .main-nav .menu-item-has-children.active>.sub-menu {
        max-height: 500px;
    }

    /* Disable desktop hover dropdowns */
    .main-nav .menu-item-has-children:hover>.sub-menu {
        opacity: 1;
        visibility: visible;
        transform: none;
    }

    .main-nav .menu-item-has-children>a::after {
        transition: transform .3s ease;
    }

    .main-nav .menu-item-has-children.active>a::after {
        transform: rotate(180deg) !important;
    }

    .main-nav .sub-menu li a {
        display: block;
        padding: 10px 20px;
        margin: 10px 0;
        border: none;
        background: #dbdbdb;
        color: black;
        border-radius: 10px;
    }

    .main-nav .sub-menu li a:hover {
        color: black;
        border: none;
        background: var(--color-secondary);
    }

    .main-nav .menu-item-has-children:hover>a::after {
        transform: none;
    }
}

.mobile-menu-close {
    position: absolute;
    top: 15px;
    right: 15px;
    border: 0;
    color: #000000;
    font-size: 30px;
    cursor: pointer;
    padding: 0 10px 4px;
    border-radius: 10px;
    background: var(--color-secondary);
    display: none;
}

@media (max-width:1023px) {
    .mobile-menu-close {
        display: block;
    }
}